## SYNOPSIS

           dirname NAME
           dirname OPTION

## DESCRIPTION

           Print  NAME  with its trailing /component removed; if NAME
           contains no /'s, output `.' (meaning  the  current  direc
           tory).

           --help display this help and exit

           --version
                  output version information and exit

## AUTHOR

           Written by David MacKenzie and Jim Meyering.

## REPORTING BUGS

           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The full documentation for dirname is maintained as a Tex
           info manual.  If the info and dirname programs  are  prop
           erly installed at your site, the command

                  info dirname

           should give you access to the complete manual.

    dirname 4.5.8             February 2003                DIRNAME(1)